Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent environment

GET/workspaces/{organizationId}/agent/environment
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Workspace agent environment files

filesobject[]required
Show properties
Array of object
pathstringrequired
contentstringrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/agent/environment' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "files": [
    {
      "path": "string",
      "content": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}